Groovy 1.7.10

## org.codehaus.groovy.transform
[Java] Class CategoryASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.CategoryASTTransformation

All Implemented Interfaces:
  ASTTransformation, org.objectweb.asm.Opcodes

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public class CategoryASTTransformation
    extends Object

Handles generation of code for the

Category:
  annotation.

  Transformation logic is as follows:

  - all non-static methods converted to static ones with an additional 'self' parameter
  - references to 'this' changed to the additional 'self' parameter

Authors:
  Alex Tkachman

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit source)` Property invocations done on 'this' reference are transformed so that the invocations at runtime are done on the additional parameter 'self'

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

  Property invocations done on 'this' reference are transformed so that the invocations at runtime are done on the additional parameter 'self'

Copyright © 2003-2010 The Codehaus. All rights reserved.